Skip to main content
GET
/
account
/
{id}
/
balance
Get Account Balance
curl --request GET \
  --url https://hg.cash/api/v1/account/{id}/balance \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "balance": 123,
  "currency": "<string>",
  "pendingFees": 123,
  "netBalance": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.hg.cash/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User API authentication token with format: cash_<64-char-hex>

Example: cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2

Path Parameters

id
string<uuid>
required

Account ID

Response

Account balance

id
string<uuid>
balance
number

Account ledger balance rounded to 2 decimals

currency
string
pendingFees
number

Fees accrued but not yet collected, rounded to 2 decimals

netBalance
number

Available balance after pending fees (balance minus pending fees), rounded to 2 decimals

status
enum<string>

Account lifecycle status

Available options:
Operativa,
Bloqueada,
Cerrada